Debian Security Advisory

DSA-1122-1 libnet-server-perl -- format string

Date Reported:
24 Jul 2006
Affected Packages:
Security database references:
In the Debian bugtracking system: Bug 378640.
In Mitre's CVE dictionary: CVE-2005-1127.
More information:

Peter Bieringer discovered that the "log" function in the Net::Server Perl module, an extensible, general perl server engine, is not safe against format string exploits.

The old stable distribution (woody) does not contain this package.

For the stable distribution (sarge) this problem has been fixed in version 0.87-3sarge1.

For the unstable distribution (sid) this problem has been fixed in version 0.89-1.

We recommend that you upgrade your libnet-server-perl package.

Fixed in:

Debian GNU/Linux 3.1 (sarge)

Architecture-independent component:

MD5 checksums of the listed files are available in the original advisory.